Package org.apache.sling.models.impl.model

# Class ConstructorParameter.FakeAnnotatedElement

java.lang.Object
org.apache.sling.models.impl.model.ConstructorParameter.FakeAnnotatedElement

All Implemented Interfaces:
  `AnnotatedElement`

Enclosing class:
  `ConstructorParameter`

public static class ConstructorParameter.FakeAnnotatedElement extends Object implements AnnotatedElement

## Constructor Summary

Constructors
Constructor
Description
`FakeAnnotatedElement(Annotation[] annotations, int parameterIndex)`

## Method Summary

Modifier and Type
Method
Description
`<T extends Annotation>
T`
`getAnnotation(Class<T> paramClass)`
`Annotation[]`
`getAnnotations()`
`Annotation[]`
`getDeclaredAnnotations()`
`int`
`getParameterIndex()`
`boolean`
`isAnnotationPresent(Class<? extends Annotation> paramClass)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.reflect.AnnotatedElement

`getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotationsByType`

## Constructor Details

### FakeAnnotatedElement

public FakeAnnotatedElement(Annotation[] annotations, int parameterIndex)

## Method Details

### isAnnotationPresent

public boolean isAnnotationPresent(Class<? extends Annotation> paramClass)

Specified by:
  `isAnnotationPresent` in interface `AnnotatedElement`

### getAnnotation

public <T extends Annotation> T getAnnotation(Class<T> paramClass)

Specified by:
  `getAnnotation` in interface `AnnotatedElement`

### getAnnotations

public Annotation[] getAnnotations()

Specified by:
  `getAnnotations` in interface `AnnotatedElement`

### getDeclaredAnnotations

public Annotation[] getDeclaredAnnotations()

Specified by:
  `getDeclaredAnnotations` in interface `AnnotatedElement`

### getParameterIndex

public int getParameterIndex()

### toString

public String toString()

Overrides:
  `toString` in class `Object`